//! The db module contains all Diesel-related logic. This is to prevent the various Diesel imports
//! from poluting other modules' namespaces.

pub mod posts;
pub mod sections;
pub mod versions;

pub use posts::{NewPost, PatchPost, Post};
pub use sections::{NewSection, PatchSection, Section};
pub use versions::{NewVersion, PatchVersion, Version};

pub const MAX_POSTS: u32 = 64;
pub const MAX_SECTIONS: u32 = 64;
pub const MAX_VERSIONS: u32 = 16;
